<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Business Meetup Conference
 * @subpackage business_meetup_conference
 */

/**
 * Returns true if a blog has more than 1 category.
 *
 * @return bool
 */
function business_meetup_conference_categorized_blog() {
	$business_meetup_conference_category_count = get_transient( 'business_meetup_conference_categories' );

	if ( false === $business_meetup_conference_category_count ) {
		// Create an array of all the categories that are attached to posts.
		$business_meetup_conference_categories = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,
			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$business_meetup_conference_category_count = count( $business_meetup_conference_categories );

		set_transient( 'business_meetup_conference_categories', $business_meetup_conference_category_count );
	}

	// Allow viewing case of 0 or 1 categories in post preview.
	if ( is_preview() ) {
		return true;
	}

	return $business_meetup_conference_category_count > 1;
}

if ( ! function_exists( 'business_meetup_conference_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 * @since Business Meetup Conference
 */
function business_meetup_conference_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/**
 * Flush out the transients used in business_meetup_conference_categorized_blog.
 */
function business_meetup_conference_category_transient_flusher() {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	// Like, beat it. Dig?
	delete_transient( 'business_meetup_conference_categories' );
}
add_action( 'edit_category', 'business_meetup_conference_category_transient_flusher' );
add_action( 'save_post',     'business_meetup_conference_category_transient_flusher' );
